add_alert
Important: Content API for Shopping will be sunset on August 18, 2026 .
rocket
Meet
Merchant API
- the official successor to Content API for Shopping.
update
Get the latest
on new Merchant API features, bug fixes, and updates.
Method: freelistingsprogram.checkoutsettings.delete
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
Deletes Checkout settings and unenrolls the merchant from the Checkout program.
Uses an HTTP DELETE request to https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/freelistingsprogram/checkoutsettings.
Requires an empty request body and returns an empty response body upon success.
Needs authorization with the https://www.googleapis.com/auth/content scope.
Deletes Checkout settings and unenrolls merchant from Checkout program.
HTTP request
DELETE https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/freelistingsprogram/checkoutsettings
Path parameters
Parameters
merchantId
string (int64 format)
Required. The ID of the account.
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview .
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2025-02-25 UTC.
[null,null,["Last updated 2025-02-25 UTC."],[],["The core action is deleting `Checkout` settings and unenrolling a merchant from the `Checkout` program via a `DELETE` HTTP request. The endpoint is `https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/freelistingsprogram/checkoutsettings`, with `merchantId` as a required path parameter (integer). The request body must be empty. A successful request results in an empty JSON object response. Authorization requires the `https://www.googleapis.com/auth/content` OAuth scope.\n"]]